# Class: vec3

## vec3

3 Dimensional Vector

## Constructor

#### new vec3()

Source:
  - vec3.js, line 23

### Methods

#### (static) dist()

Alias for vec3.distance

Source:
  - vec3.js, line 718

#### (static) div()

Alias for vec3.divide

Source:
  - vec3.js, line 712

#### (static) forEach(a, stride, offset, count, fn, argopt) → {Array}

Perform some operation over an array of vec3s.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`a` | Array |  | the array of vectors to iterate over
`stride` | Number |  | Number of elements between the start of each vec3. If 0 assumes tightly packed
`offset` | Number |  | Number of elements to skip at the beginning of the array
`count` | Number |  | Number of vec3s to iterate over. If 0 iterates over entire array
`fn` | function |  | Function to call for each vector in the array
`arg` | Object | <optional> | additional argument to pass to fn

Source:
  - vec3.js, line 750

##### Returns:

a

Type
  Array

#### (static) length()

Alias for vec3.len

Source:
  - vec3.js, line 730

#### (static) mul()

Alias for vec3.multiply

Source:
  - vec3.js, line 706

#### (static) sqrDist()

Alias for vec3.squaredDistance

Source:
  - vec3.js, line 724

#### (static) sqrLen()

Alias for vec3.squaredLength

Source:
  - vec3.js, line 736

#### (static) sub()

Alias for vec3.subtract

Source:
  - vec3.js, line 700